## WebKitDOMCSSRule WebKitDOMCSSRule |

## Functions

gushort | webkit_dom_css_rule_get_rule_type ()
gchar * | webkit_dom_css_rule_get_css_text ()
void | webkit_dom_css_rule_set_css_text ()
WebKitDOMCSSStyleSheet * | webkit_dom_css_rule_get_parent_style_sheet ()
WebKitDOMCSSRule * | webkit_dom_css_rule_get_parent_rule ()

## Properties

char * | css-text | Read / Write
WebKitDOMCSSRule * | parent-rule | Read
WebKitDOMCSSStyleSheet * | parent-style-sheet | Read
guint | type | Read

## Types and Values

struct | WebKitDOMCSSRule
#define | WEBKIT_DOM_CSS_RULE_UNKNOWN_RULE
#define | WEBKIT_DOM_CSS_RULE_STYLE_RULE
#define | WEBKIT_DOM_CSS_RULE_CHARSET_RULE
#define | WEBKIT_DOM_CSS_RULE_IMPORT_RULE
#define | WEBKIT_DOM_CSS_RULE_MEDIA_RULE
#define | WEBKIT_DOM_CSS_RULE_FONT_FACE_RULE
#define | WEBKIT_DOM_CSS_RULE_PAGE_RULE

## Object Hierarchy

        GObject
        ╰── WebKitDOMObject
            ╰── WebKitDOMCSSRule

## Description

## Functions

### webkit_dom_css_rule_get_rule_type ()

    gushort
    webkit_dom_css_rule_get_rule_type (WebKitDOMCSSRule *self);

`webkit_dom_css_rule_get_rule_type` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMCSSRule |

#### Returns

A gushort

### webkit_dom_css_rule_get_css_text ()

    gchar *
    webkit_dom_css_rule_get_css_text (WebKitDOMCSSRule *self);

`webkit_dom_css_rule_get_css_text` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMCSSRule |

#### Returns

A gchar

### webkit_dom_css_rule_set_css_text ()

    void
    webkit_dom_css_rule_set_css_text (WebKitDOMCSSRule *self,
                                      const gchar *value,
                                      GError **error);

`webkit_dom_css_rule_set_css_text` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMCSSRule |
value | A gchar |
error | GError |

### webkit_dom_css_rule_get_parent_style_sheet ()

    WebKitDOMCSSStyleSheet *
    webkit_dom_css_rule_get_parent_style_sheet
                                   (WebKitDOMCSSRule *self);

`webkit_dom_css_rule_get_parent_style_sheet` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMCSSRule |

#### Returns

A WebKitDOMCSSStyleSheet.

[transfer full]

### webkit_dom_css_rule_get_parent_rule ()

    WebKitDOMCSSRule *
    webkit_dom_css_rule_get_parent_rule (WebKitDOMCSSRule *self);

`webkit_dom_css_rule_get_parent_rule` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMCSSRule |

#### Returns

A WebKitDOMCSSRule.

[transfer full]

## Types and Values

### struct WebKitDOMCSSRule

    struct WebKitDOMCSSRule;

### WEBKIT_DOM_CSS_RULE_UNKNOWN_RULE

    #define WEBKIT_DOM_CSS_RULE_UNKNOWN_RULE 0

`WEBKIT_DOM_CSS_RULE_UNKNOWN_RULE` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

### WEBKIT_DOM_CSS_RULE_STYLE_RULE

    #define WEBKIT_DOM_CSS_RULE_STYLE_RULE 1

`WEBKIT_DOM_CSS_RULE_STYLE_RULE` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

### WEBKIT_DOM_CSS_RULE_CHARSET_RULE

    #define WEBKIT_DOM_CSS_RULE_CHARSET_RULE 2

`WEBKIT_DOM_CSS_RULE_CHARSET_RULE` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

### WEBKIT_DOM_CSS_RULE_IMPORT_RULE

    #define WEBKIT_DOM_CSS_RULE_IMPORT_RULE 3

`WEBKIT_DOM_CSS_RULE_IMPORT_RULE` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

### WEBKIT_DOM_CSS_RULE_MEDIA_RULE

    #define WEBKIT_DOM_CSS_RULE_MEDIA_RULE 4

`WEBKIT_DOM_CSS_RULE_MEDIA_RULE` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

### WEBKIT_DOM_CSS_RULE_FONT_FACE_RULE

    #define WEBKIT_DOM_CSS_RULE_FONT_FACE_RULE 5

`WEBKIT_DOM_CSS_RULE_FONT_FACE_RULE` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

### WEBKIT_DOM_CSS_RULE_PAGE_RULE

    #define WEBKIT_DOM_CSS_RULE_PAGE_RULE 6

`WEBKIT_DOM_CSS_RULE_PAGE_RULE` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

## Property Details

### The `“css-text”` property

      “css-text”                 char *

read-write gchar* CSSRule:css-text.

Owner: WebKitDOMCSSRule

Flags: Read / Write

Default value: ""

### The `“parent-rule”` property

      “parent-rule”              WebKitDOMCSSRule *

read-only WebKitDOMCSSRule* CSSRule:parent-rule.

Owner: WebKitDOMCSSRule

Flags: Read

### The `“parent-style-sheet”` property

      “parent-style-sheet”       WebKitDOMCSSStyleSheet *

read-only WebKitDOMCSSStyleSheet* CSSRule:parent-style-sheet.

Owner: WebKitDOMCSSRule

Flags: Read

### The `“type”` property

      “type”                     guint

read-only gushort CSSRule:type.

Owner: WebKitDOMCSSRule

Flags: Read

Default value: 0